#include "functions.h"

void CreateDataStream(const std::string &fileName) {
  std::ofstream outFile(fileName, std::ofstream::out);
  std::random_device rd;
  std::mt19937 mt(rd());
  std::uniform_int_distribution<int> dist(-50, 50);
  for (size_t i = 0; i < 99; ++i) {
    outFile << dist(mt) << '\t';
  }
  outFile << dist(mt) << std::endl;
}

void CreateDataGenerate(const std::string &fileName) {
  std::ofstream outFile(fileName, std::ofstream::out);
  std::random_device rd;
  std::mt19937 mt(rd());
  std::uniform_int_distribution<int> dist(-50, 50);
  std::vector<int> buffer;
  std::generate(buffer.begin(), buffer.end(), [&dist, &mt]() { return dist(mt); });
  std::ostream_iterator<int> fileIterator(outFile, "\t");
  std::copy(buffer.begin(), buffer.end() - 1, fileIterator);
  outFile << *(buffer.end() - 1) << std::endl;
}